PhraseWildcardQuery.MultiTerm (Lucene 10.5.0 sandbox API)
Description: declaration: package: org.apache.lucene.sandbox.search, class: PhraseWildcardQuery, class: MultiTerm

Package org.apache.lucene.sandbox.search

# Class PhraseWildcardQuery.MultiTerm

java.lang.Object
org.apache.lucene.sandbox.search.PhraseWildcardQuery.PhraseTerm
org.apache.lucene.sandbox.search.PhraseWildcardQuery.MultiTerm

Enclosing class:
  `PhraseWildcardQuery`

protected static class PhraseWildcardQuery.MultiTerm extends PhraseWildcardQuery.PhraseTerm
Phrase term with expansions.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final MultiTermQuery`
  `query`

  ### Fields inherited from class org.apache.lucene.sandbox.search.PhraseWildcardQuery.PhraseTerm

  `termPosition`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MultiTerm(MultiTermQuery query, int termPosition)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `collectTermData(PhraseWildcardQuery query, IndexSearcher searcher, List<LeafReaderContext> segments, int remainingMultiTerms, int maxExpansionsForTerm, PhraseWildcardQuery.TermsData termsData)`
  Collects `TermState` and `TermStatistics` for the term (potentially expanded).
  `boolean`
  `equals(Object o)`
  `protected Query`
  `getQuery()`
  `protected boolean`
  `hasExpansions()`
  `int`
  `hashCode()`
  `protected void`
  `toString(StringBuilder builder)`

  ### Methods inherited from class org.apache.lucene.sandbox.search.PhraseWildcardQuery.PhraseTerm

  `collectTermData`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### query

    protected final MultiTermQuery query

- ## Constructor Details

  - ### MultiTerm

    protected MultiTerm(MultiTermQuery query, int termPosition)

- ## Method Details

  - ### hasExpansions

    protected boolean hasExpansions()
    Specified by:
      `hasExpansions` in class `PhraseWildcardQuery.PhraseTerm`

  - ### getQuery

    protected Query getQuery()
    Specified by:
      `getQuery` in class `PhraseWildcardQuery.PhraseTerm`

  - ### collectTermData

    protected int collectTermData(PhraseWildcardQuery query, IndexSearcher searcher, List<LeafReaderContext> segments, int remainingMultiTerms, int maxExpansionsForTerm, PhraseWildcardQuery.TermsData termsData) throws IOException
    Description copied from class: `PhraseWildcardQuery.PhraseTerm`
    Collects `TermState` and `TermStatistics` for the term (potentially expanded).
    Specified by:
      `collectTermData` in class `PhraseWildcardQuery.PhraseTerm`
    Parameters:
      `termsData` - `PhraseWildcardQuery.TermsData` to update with the collected terms and stats.
    Returns:
      The number of expansions or matches in all segments; or 0 if this term does not match in any segment, in this case the phrase query can immediately stop.
    Throws:
      `IOException`

  - ### toString

    protected void toString(StringBuilder builder)
    Specified by:
      `toString` in class `PhraseWildcardQuery.PhraseTerm`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `PhraseWildcardQuery.PhraseTerm`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `PhraseWildcardQuery.PhraseTerm`